Bug 444586 - Ati driver problem
Ati driver problem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 07:37 EDT by Parag AN(पराग)
Modified: 2008-05-25 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-25 23:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of my desktop (65.81 KB, image/png)
2008-04-29 07:39 EDT, Parag AN(पराग)
no flags Details
output of /var/log/Xorg.0.log (114.21 KB, text/plain)
2008-04-29 07:44 EDT, Parag AN(पराग)
no flags Details
output of /var/log/Xorg.0.log for above Xorg.conf (98.49 KB, application/octet-stream)
2008-05-12 01:08 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description Parag AN(पराग) 2008-04-29 07:37:46 EDT
Description of problem:
With clean installation of Fedora rawhide, I am unable to see screen text. All I
can see is blurred display(I mean very small font). Cannot increase resolution
beyond 640x480

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-10.fc9.i386

How reproducible:
always

Steps to Reproduce:
1.install fedora rawhide
2.observe screen resolution
3.
  
Actual results:
unable to increase resolution beyond 640x480
all I can see is unable to read font with default size of application font 10.

Expected results:
Is should allow to increase resolution.

Additional info:
Comment 1 Parag AN(पराग) 2008-04-29 07:39:47 EDT
Created attachment 304109 [details]
screenshot of my desktop
Comment 2 Parag AN(पराग) 2008-04-29 07:42:07 EDT
1)/sbin/lspci output=>
00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 10)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:11.0 IDE interface: ATI Technologies Inc IXP SB400 Serial ATA Controller (rev 80)
00:12.0 IDE interface: ATI Technologies Inc IXP SB400 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 81)
00:14.1 IDE interface: ATI Technologies Inc IXP SB400 IDE Controller (rev 80)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200]
02:03.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:04.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)

2) cat /etc/X11/xorg.conf ==>
# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"

# keyboard added by rhpxl
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us+inet"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	ModelName    "LG 700E"
	HorizSync    31.5 - 61.0
	VertRefresh  50.0 - 75.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Comment 3 Parag AN(पराग) 2008-04-29 07:44:31 EDT
Created attachment 304110 [details]
output of /var/log/Xorg.0.log
Comment 4 Parag AN(पराग) 2008-05-02 00:11:15 EDT
raising severity as I am really unable to work on my desktop with F9 rawhide.
Comment 5 Dave Airlie 2008-05-11 20:46:56 EDT
is this a laptop or desktop?

It appears to think this is a laptop with a flat panel.

you could try adding a monitor section for the LVDS to disable it.

something like 

Section "Monitor"
    Identifier "dummy"
    Option "Enable" "False"
EndSection

and in Device section add
    Option "Monitor-LVDS" "dummy"

see if that helps, I can try and get a quirk in for your BIOS maybe.
it might be worth trying Option "Ignore" "true" if enable fails.


Comment 6 Parag AN(पराग) 2008-05-11 21:07:51 EDT
(In reply to comment #5)
> is this a laptop or desktop?
   Desktop

> 
> It appears to think this is a laptop with a flat panel.
   No. This is desktop with CRT monitor LG 700E.

> 
> you could try adding a monitor section for the LVDS to disable it.
  Do you still want me to add following to Xorg.conf?
> 
> something like 
> 
> Section "Monitor"
>     Identifier "dummy"
>     Option "Enable" "False"
> EndSection
> 
> and in Device section add
>     Option "Monitor-LVDS" "dummy"
> 
> see if that helps, I can try and get a quirk in for your BIOS maybe.
> it might be worth trying Option "Ignore" "true" if enable fails.
> 
> 
> 

Comment 7 Dave Airlie 2008-05-11 21:18:30 EDT
yes the bios is lying on your card so I want to see if disabling the LVDS it
claims it has will help.
Comment 8 Parag AN(पराग) 2008-05-11 23:53:13 EDT
I have tried with following xorg file
cat /etc/X11/xorg.conf ==>
# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"

# keyboard added by rhpxl
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us+inet"
EndSection

Section "Monitor"
     Identifier "dummy"
     Option "Enable" "False"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
       Option "Monitor-LVDS" "dummy"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection


I am getting same Big RHGB window and color is distorted with red dots on white
colored text. And only 640x480 resolution. 

When tried with 
 "Ignore" "true" in device section
Screen flickered4-5 times and instead to show RHGB drops himself to text level
console. When tried to use ctrl+alt+f7 gave nothing but black screen.

Did I make correct changes or I misunderstood you?
Comment 9 Parag AN(पराग) 2008-05-12 01:08:39 EDT
Created attachment 305079 [details]
output of /var/log/Xorg.0.log for above Xorg.conf

after logging in X session goes off resulting blank screen
Comment 10 Parag AN(पराग) 2008-05-12 01:32:54 EDT
Dave thanks for your quick feedback. I got my problem resolved with following
xorg.conf

cat /etc/X11/xorg.conf ==>
# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"

# keyboard added by rhpxl
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us+inet"
EndSection

Section "Monitor"
     Identifier "dummy"
     Option "Disable" "True"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
       Option "Monitor-LVDS" "dummy"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection


Also, I need to remove monitors.xml from ~/.gnome2
Comment 11 Bug Zapper 2008-05-14 06:22:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Parag AN(पराग) 2008-05-25 23:38:30 EDT
As I can see this is already fixed in F9, I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.